BuildRequires: gcc-c++
%define pypi_name bsdiff4

%define python_name python3-%{pypi_name}
Name:           python-%{pypi_name}
Version:        1.2.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        binary diff and patch using the BSDIFF4-format

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD (FIXME:No SPDX)
URL:            https://github.com/ilanschnell/bsdiff4
Source:         bsdiff4-%{version}.tar.gz

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  fdupes

# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
binary diff and patch using the BSDIFF4-format}

%description %_description

%package -n %{python_name}
Summary:        %{summary}

%description -n %{python_name} %_description

%prep
%autosetup -p1 -n bsdiff4-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto
%if %{with test}
%check
%pyproject_check_import
%pytest_arch
%endif

%files -n %{python_name} -f %{pyproject_files}

%changelog
%autochangelog

